IMetadataComponentSerializer (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.io.sstable.metadata

## Interface IMetadataComponentSerializer<T extends MetadataComponent>

- All Known Implementing Classes:
    CompactionMetadata.CompactionMetadataSerializer, SerializationHeader.Serializer, StatsMetadata.StatsMetadataSerializer, ValidationMetadata.ValidationMetadataSerializer

      public interface IMetadataComponentSerializer<T extends MetadataComponent>

  Metadata component serializer

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `deserialize(Version version, DataInputPlus in)` Deserialize metadata component from given input.
    `void` | `serialize(Version version, T component, DataOutputPlus out)` Serialize metadata component to given output.
    `int` | `serializedSize(Version version, T component)` Calculate and return serialized size.

- - ### Method Detail

    - #### serializedSize

          int serializedSize(Version version,
                             T component)
                      throws java.io.IOException

      Calculate and return serialized size.
      Parameters:
        `version` -
        `component` - MetadataComponent to calculate serialized size
      Returns:
        serialized size of this component
      Throws:
        `java.io.IOException`

    - #### serialize

          void serialize(Version version,
                         T component,
                         DataOutputPlus out)
                  throws java.io.IOException

      Serialize metadata component to given output.
      Parameters:
        `version` -
        `component` - MetadataComponent to serialize
        `out` - serialize destination
      Throws:
        `java.io.IOException`

    - #### deserialize

          T deserialize(Version version,
                        DataInputPlus in)
                 throws java.io.IOException

      Deserialize metadata component from given input.
      Parameters:
        `version` - serialize version
        `in` - deserialize source
      Returns:
        Deserialized component
      Throws:
        `java.io.IOException`

Copyright © 2018 The Apache Software Foundation